WordPress.org

Ready to get started?Download WordPress

Forums

WordPress MU Domain Mapping
WP MU Domain Mapping Problem with Ajax request from the ALL-In (5 posts)

  1. Noll
    Member
    Posted 2 years ago #

    I am having a problem installing the All-In-One Event calendar on my WP MU instance that uses MU domain mapping 0.5.4.1.. Basically the support team at AIO event Calendar tells me the following is ocurring.

    XMLHttpRequest cannot load http://gamoms.org/wp-admin/network/admin-ajax.php. Origin http://alpharettamoms.net is not allowed by Access-Control-Allow-Origin.

    It has to do with the domain mapping, I am not sure why it redirects from alpharettamoms.net to gamoms.org?
    If you find what is causing it, you will solve the problem.

    my further research on the wPMU site finds: http://premium.wpmudev.org/forums/topic/ajax-and-domain-mapping-dont-play-well-together#post-103601 article that discuss and issue with not finding ajax-admin.php, which appear to be exactly what is happening to my site.. Could you please advise on if my configuration might be wrong or if there is a work around?

    http://wordpress.org/extend/plugins/wordpress-mu-domain-mapping/

  2. Ron Rennick
    MultiSite Guru
    Plugin Author

    Posted 2 years ago #

    Try the development version of domain mapping.

  3. Ron Rennick
    MultiSite Guru
    Plugin Author

    Posted 2 years ago #

    Also, you may not be able to network activate the event calendar plugin. There is no wp-admin/network/admin-ajax.php in WordPress.

  4. Noll
    Member
    Posted 2 years ago #

    Ron,
    How easy or hard is it, in your experience, to migrate from 0.5.4.1 to the 3.0.5 dev version? It may be easier just to find another calendar plugin.

  5. Ron Rennick
    MultiSite Guru
    Plugin Author

    Posted 2 years ago #

    3.0.5 dev version of which? The dev version of DM should be 0.5.4.2.

    For DM, all you need to do is replace domain_mapping.php and sunrise.php. There are only bug fixes in the dev version so you won't see any difference between it and the last released version.

    I did put in a couple changes for WP 3.3 compatibility but those changes will work with any version after 3.0.

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic